Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Dispatch_Command Class Reference

`#include <EC_Dispatching_Task.h>`

Inheritance diagram for TAO_EC_Dispatch_Command:

[legend]
Collaboration diagram for TAO_EC_Dispatch_Command:

[legend]
List of all members.

## Public Methods
| TAO_EC_Dispatch_Command (ACE_Allocator *mb_allocator=0)
| Constructor, it will allocate its own data block.
| TAO_EC_Dispatch_Command (ACE_Data_Block *, ACE_Allocator *mb_allocator=0)
| Constructor, it assumes ownership of the data block.
virtual | ~TAO_EC_Dispatch_Command (void)
| Destructor.
virtual int | execute (ACE_ENV_SINGLE_ARG_DECL_NOT_USED)=0
| Command callback.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Dispatch_Command::TAO_EC_Dispatch_Command | ( | ACE_Allocator * | mb_allocator = 0 | ) |

| Constructor, it will allocate its own data block.

ACE_INLINE TAO_EC_Dispatch_Command::TAO_EC_Dispatch_Command | ( | ACE_Data_Block * | ,
|  | ACE_Allocator * | mb_allocator = 0
| ) |

| Constructor, it assumes ownership of the data block.

TAO_EC_Dispatch_Command::~TAO_EC_Dispatch_Command | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual int TAO_EC_Dispatch_Command::execute | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | `[pure virtual]`

| Command callback. Implemented in TAO_EC_Shutdown_Task_Command, and TAO_EC_Push_Command.

The documentation for this class was generated from the following files:

- EC_Dispatching_Task.h
- EC_Dispatching_Task.cpp
- EC_Dispatching_Task.i